> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/feature-time-series/series-changelog.md).

# Series Changelog

| **Description** | Gets the most recent changes to the time series elements of a feature.               |
| --------------- | ------------------------------------------------------------------------------------ |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/feature/{featureId}/series/changelog` |
| **Method**      | GET                                                                                  |

### Access Level Rules

| **Access Level** | view |
| ---------------- | ---- |

### Processing Units

| **Processing units** | 2 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="412">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the vector timestamp.</td><td>true</td><td></td></tr><tr><td><code>featureId</code></td><td>The id of the feature.</td><td>true</td><td></td></tr><tr><td><code>actions</code></td><td>Array of change actions to retrieve. Options are "add", "delete" and "revert".</td><td>false</td><td>Default ["add","delete","revert"].</td></tr><tr><td><code>userId</code></td><td>Retrieves the changes made by the user with the given id.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageStart</code></td><td>JSON containing required property "startDate" and optional property "pagingId" defining where to start the search.</td><td>false</td><td>Default null.</td></tr><tr><td><code>pageSize</code></td><td>The number of results to return. Maximum 100.</td><td>false</td><td>Default 100.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/vector-features/feature-time-series/series-changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
